# Returns the end of day balances for an account for a given consent.

Returns the end of day balances for an account for a given consent.

Endpoint: GET /stored-data/v1/consents/{consentId}/accounts/{accountId}/end-of-day-balances
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:stored_data

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the user consent

  - `accountId` (string, required)
    Unique identifier for the account from the provider

## Query parameters:

  - `from` (string)
    The start date of the period to fetch the balances  (Recommended format: yyyy-MM-dd)

  - `to` (string)
    The end date of the period to fetch the balances  (Recommended format: yyyy-MM-dd)

## Response 200:

  - `200` (unknown)
    End of day Balances for the provided account

## Response 200 fields (application/json):

  - `currency` (string)
    The account’s currency

  - `average` (number)
    The average end of day balance for the specified period

  - `maximum` (number)
    The maximum end of day balance for the specified period

  - `minimum` (number)
    The minimum end of day balance for the specified period

  - `balances` (array)
    The end of day balances for the specified period

  - `balances.balance` (number)

  - `balances.date` (string)

## Response 400:

  - `400` (unknown)
    One of the query parameters is invalid

## Response 400 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 404:

  - `404` (unknown)
    The consent id or account id was not found

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

